// 搜索类型
export const ORDER_SEARCH_TYPE = [
  {
    value: 'orderNo',
    name: $t('order.no'),
  },
  {
    value: 'spuId',
    name: $t('product.id'),
  },
  {
    value: 'channelOrderNo',
    name: $t('external.order'),
  },
  {
    value: 'receiverName',
    name: $t('receiver.name'),
  },
  {
    value: 'userMobile',
    name: $t('buyer.mobile'),
  },
  {
    value: 'userMobile4',
    name: $t('last.4.digits.of.buyer.mobile'),
  },
  {
    value: 'receiverMobile',
    name: $t('receiver.mobile'),
  },
  {
    value: 'receiverMobile4',
    name: $t('last.4.digits'),
  },
];

// 订单类型
export const ORDER_TYPE = [
  {
    value: '',
    name: $t('all'),
  },
  {
    value: 1,
    name: $t('regular.order'),
  },
  {
    value: 4,
    name: $t('service.order'),
  },
];

// 订单状态
export const ORDER_STATUS = [
  {
    value: '',
    name: $t('all'),
  },
  {
    value: 1,
    name: $t('unpaid'),
  },
  {
    value: 2,
    name: $t('pending.shipment'),
  },
  {
    value: 3,
    name: $t('shipped'),
  },
  {
    value: 4,
    name: $t('completed'),
  },
  {
    value: 5,
    name: $t('closed'),
  },
];

export const COUPON_CODE_STATUS = {
  1: $t('unused'),
  2: $t('used'),
  3: $t('refunded'),
};
